org.optaplanner.core.impl.exhaustivesearch.scope

## Class ExhaustiveSearchStepScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractStepScope<Solution_>
  - - org.optaplanner.core.impl.exhaustivesearch.scope.ExhaustiveSearchStepScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class ExhaustiveSearchStepScope<Solution_>
      extends AbstractStepScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `bestScoreImproved, clonedSolution, score, stepIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope<Solution_> phaseScope)`
    `ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope<Solution_> phaseScope, int stepIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBreadth()`
    `int` | `getDepth()`
    `ExhaustiveSearchNode` | `getExpandingNode()`
    `ExhaustiveSearchPhaseScope<Solution_>` | `getPhaseScope()`
    `Long` | `getSelectedMoveCount()`
    `Score` | `getStartingStepScore()`
    `String` | `getTreeId()`
    `void` | `setExpandingNode(ExhaustiveSearchNode expandingNode)`
    `void` | `setSelectedMoveCount(Long selectedMoveCount)`

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExhaustiveSearchStepScope

          public ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope<Solution_> phaseScope)

    - #### ExhaustiveSearchStepScope

          public ExhaustiveSearchStepScope(ExhaustiveSearchPhaseScope<Solution_> phaseScope,
                                           int stepIndex)

  - ### Method Detail

    - #### getPhaseScope

          public ExhaustiveSearchPhaseScope<Solution_> getPhaseScope()

      Specified by:
        `getPhaseScope` in class `AbstractStepScope<Solution_>`

    - #### getExpandingNode

          public ExhaustiveSearchNode getExpandingNode()

    - #### setExpandingNode

          public void setExpandingNode(ExhaustiveSearchNode expandingNode)

    - #### getStartingStepScore

          public Score getStartingStepScore()

    - #### getSelectedMoveCount

          public Long getSelectedMoveCount()

    - #### setSelectedMoveCount

          public void setSelectedMoveCount(Long selectedMoveCount)

    - #### getDepth

          public int getDepth()

    - #### getBreadth

          public long getBreadth()

    - #### getTreeId

          public String getTreeId()

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.